
package de.ivu.elect.presentation.gruppeimgebiet.table;

import de.ivu.elect.business.gruppe.entity.GruppeConstants;
import de.ivu.elect.business.gruppeimgebiet.entity.GruppeImGebiet;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.presentation.table.AbstractColumnEntry;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

public class GruppeImGebietKurznameAufGebietColumn extends AbstractColumnEntry<GruppeImGebiet> {

  public GruppeImGebietKurznameAufGebietColumn(Messages messages) {
    super(messages);
  }

  private static final long serialVersionUID = 1L;

  @Override
  public Object getValue(GruppeImGebiet gruppeImGebiet) {
    return gruppeImGebiet.getKurznameAufGebiet();
  }

  @Override
  public String getHeader() {
    return getMessage(GruppeConstants.MESSAGE_KEY_KURZNAME_EINZAHL);
  }

  @Override
  public ColumnType getType() {
    return ColumnType.STRING;
  }
}
